<?php
  require_once($_SERVER['DOCUMENT_ROOT'].'jformer.php');
  require_once($_SERVER['DOCUMENT_ROOT'].'db.php');
  
    session_start();    
    
    if ( (!isset($_SESSION['uid'])) || ($_SESSION['uid'] == "") )
    {
        error_log("ERROR: STEP 3 wurde mit folgender UID aufgerufen:>".$_SESSION['uid']."<");
        header('Location: index.php');
    }
    
  $Form = new JFormer('AdressForm',  array('submitButtonText' => '-> Anmeldung Step 4'));

  $Form->addJFormComponentArray(array(       
        
        new JFormComponentHtml('<p><b>Impfungen, Krankenkasse, Allergien,...</b></p>'),
        
        new JFormComponentMultipleChoice('swimmen', 'Der Lagerteilnehmer kann schwimmen', array(
                array('value' => '0', 'label' => 'nein'),
                array('value' => '1', 'label' => 'ja'),
                ),
                array(
                    'multipleChoiceType' => 'radio',
	                'validationOptions' => array('required'),
	    )),
        
        $singleLineText = new JFormComponentSingleLineText('krankenkasse', 'Bei welcher Krankenkasse ist der Lagerteilnehmer versichert', array(
                'tip' => '<p>Bitte die Krankenkassenkarte zur Gep&auml;ckabgabe mitbringen</p>',
                'validationOptions' => array('required'),
        )), 
        
        
       
      
      new JFormComponentMultipleChoice('medikamentengabe', 'Ich bin damit einverstanden, dass bei Bedarf meinem Kind ein rezeptfreies Medikament, wie z.B. Fenistil, Wunddesinfektion, Lutschpastillen oder Ähnliches, in geringem Umfang verabreicht werden kann.', array(
                array('value' => '0', 'label' => 'nein'),
                array('value' => '1', 'label' => 'ja'),
                ),
	            array(
	                'multipleChoiceType' => 'radio',
	                'validationOptions' => array('required'),
	    )),
        
      new JFormComponentMultipleChoice('wundstarrkrampf', 'Impfung gegen Wundstarrkrampf', array(
                array('value' => '0', 'label' => 'nein'),
                array('value' => '1', 'label' => 'ja'),
                ),
	            array(
	                'multipleChoiceType' => 'radio',
	                'validationOptions' => array('required'),
	    )),
      
       $singleLineText = new JFormComponentSingleLineText('jahrwundstarrkrampfimpfung', 'Jahr der letzten Wundstarrkrampfimpfung:', array(
                'tip' => '<p>In welchem Jahr wurdes Du zuletzt gegen Wundstarrkrampf geimpft?</p>',
                'maxLength' => '4',
                'validationOptions' => array('required','minLength' => 4,'decimal'),
                'dependencyOptions' => array(
                                	'dependentOn' => 'wundstarrkrampf',
        					        'display' => 'show',
        					        'jsFunction' => '$("#wundstarrkrampf-choice2").is(":checked")',
        				             ),
        )), 
       
       new JFormComponentTextArea('medikamente', 'Besondere Medikamente/Krankheiten:', array(
                'tip' => '<p>Bitte die Medikamente zur Gep&auml;ckabgabe mitbringen und hiernochmal die genaue Einnahme mitteilen</p>',
                'width' => 'mediumLong',
	            'height' => 'shortest',
	   )),
       
       new JFormComponentTextArea('allergien', 'Allergien:', array(
                'width' => 'mediumLong',
                'height' => 'shortest',
	   )),
     
      new JFormComponentMultipleChoice('vegi', 'Ich ernähre mich fleischlos:', array(
                array('value' => '0', 'label' => 'nein'),
                array('value' => '1', 'label' => 'ja'),
                ),
	            array(
	                'multipleChoiceType' => 'radio',
	                'validationOptions' => array('required'),
	    )),
       
    ));


  function onSubmit($formValues)
  {
  
    $uid = $_SESSION['uid'];
    
    $krankenkasse= $formValues->krankenkasse;
    $allergien= $formValues->allergien;
    $medikamente= $formValues->medikamente;
    $schwimmen= $formValues->swimmen;
    $vegi= $formValues->vegi; 
    $medi= $formValues->medikamentengabe;
    
    if ($formValues->wundstarrkrampf)
    {
     $impfung  = "Tetanus " . $formValues->jahrwundstarrkrampfimpfung ;    
    }
    else
    {
        $impfung  = "-"; 
    }
    
    if ($uid == "")
    {
        error_log("ERROR: SUBMIT bei STEP 3 wurde ohne UID aufgerufen");
        $_SESSION['step'] = "0"; 
    }
    else
    {
        $_SESSION['step'] = "4";
        //DB-Eintrag
        $mydb = new DB_MySQL();
        $mydb->query("UPDATE AnmeldungStatus SET step = '3' WHERE uid='$uid' AND step < '10' ");
        
        $mydb->query("INSERT INTO AnmeldungZusatzangaben (uid, krankenkasse, impfung, allergien, medikamente, schwimmen,vegi, medikamentengabe) VALUES ('$uid', '$krankenkasse', '$impfung', '$allergien', '$medikamente' , '$schwimmen', '$vegi' ,'$medi') ON DUPLICATE KEY UPDATE krankenkasse = '$krankenkasse', impfung = '$impfung', allergien = '$allergien', medikamente = '$medikamente', schwimmen = '$schwimmen' , vegi = '$vegi', medikamentengabe = '$medi' ");
        
        $mydb->disconnect(); 
    
    }
    $response = array('redirect' => 'index.php');
    return $response;
  }

  // Process any request to the form
  $Form->processRequest();

?>
